Subject: Re: [bug#43477] [PATCH 0/1] guix: graph: Add 'plain' backend.

From: zimoun <[email-masked]>
Date: Thu, 24 Sep 2020 17:47:18 +0200

Hi,

On Thu, 24 Sep 2020 at 16:44, Ludovic Courtès <[email-masked]> wrote:

> >> Is that still a graph, though…?
> >
> > I agree it is not a graph.  Instead of 'plain' the name could be
> > 'list-nodes', or whatever.

The point is I am often doing

   guix graph -t <type> <pkg> | grep label | grep <stuff>

then I select what I am interested in and reuse it with another Guix
command (size or graph again or show or whatever).  And the regexp
directly pick the package name is too complicated to remember, so yes
I could have a script.

For example, I would to know if all the packages in my profile are OK
about CVE and already archived on SWH, with the proposed patch, it is
simply:

   guix package -I | cut -f1 \
     | xargs -I{} ./pre-inst-env guix graph -b list-nodes {} \
     | xargs -I{} guix lint -c cve,archival {}

and obviously instead "-t bag" could be used.

Well, another option as "--list-nodes" could be added.  WDTY?

> What would be super useful is a tree representation, like so:
>
>   guile
>   + pkg-config
>   + libgc
>   |- pkg-config […]
>   + gmp
>   |- m4
>   + libffi
>   + bash-minimal
>
> (With the right Unicode characters, of course.  :-))

It could be nice.  And yeah, it will be the correct backend name: plain. :-)

All the best,
simon